Listing
Get a listing's videos
Returns the listing's confirmed videos in display order. Requires an owned listing (or the default tenant); imported network listings 404.
Authorization
x-calry-api-key x-calry-api-key<token>
In: header
Path Parameters
id*string
Unique identifier of the listing
Header Parameters
x-calry-tenant-id?string
Optional tenant ID to specify which tenant to operate as. If not provided, the default tenant will be used.
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/listing/123e4567-e89b-12d3-a456-426614174000/videos"[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "hosted",
"url": "https://cdn-zepl-prod.calry.app/ws-id/listing-id/videos/video-id.mp4",
"posterUrl": "https://example.com/poster.jpg",
"description": "Walkthrough of the villa and pool area",
"position": 0
}
]{
"timestamp": "2025-03-05T11:45:49.631Z",
"path": "<URL_PATH>",
"message": "Authentication failed",
"details": []
}Empty